Remove questions from FAQ
curl --request DELETE \
--url https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Knowledge Bases
Remove questions from FAQ
Remove questions and answers from existing FAQ sheet. The question IDs can be a sent in the query parameters.
Example: DELETE /kb/v1/knowledge-bases/{id}/faq-template/questions?faq_ids=abcd&faq_ids=efgh
Alternatively, the faq_ids can be sent as an array of strings in the request body.
Example: DELETE /kb/v1/knowledge-bases/{id}/faq-template/questions with body = { "faq_ids": [ "abcd", "efgh"] }
DELETE
/
kb
/
v1
/
knowledge-bases
/
{id}
/
faq-template
/
questions
Remove questions from FAQ
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
The unique ID of the knowledge base.
Query Parameters
The unique IDs of the questions to delete.
Response
202
accepted